Share via


IP Firewall ll Rules - Get

Gets an IPv6 firewall rule.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/ipv6FirewallRules/{firewallRuleName}?api-version=2025-01-01

URI Parameters

Name In Required Type Description
firewallRuleName
path True

string

The name of the firewall rule.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serverName
path True

string

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

IPv6FirewallRule

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get IPv6 Firewall Rule

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/firewallrulecrudtest-12/providers/Microsoft.Sql/servers/firewallrulecrudtest-6285/ipv6FirewallRules/firewallrulecrudtest-2304?api-version=2025-01-01

Sample response

{
  "name": "firewallrulecrudtest-2304",
  "type": "Microsoft.Sql/servers/ipv6FirewallRules",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/firewallrulecrudtest-12/providers/Microsoft.Sql/servers/firewallrulecrudtest-6285/ipv6FirewallRules/firewallrulecrudtest-2304",
  "properties": {
    "endIPv6Address": "0000:0000:0000:0000:0000:ffff:0000:0000",
    "startIPv6Address": "0000:0000:0000:0000:0000:ffff:0000:0000"
  }
}

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

IPv6FirewallRule

An IPv6 server firewall rule.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

IPv6FirewallRule

An IPv6 server firewall rule.

Name Type Description
id

string

Resource ID.

name

string

Resource name.

properties.endIPv6Address

string

The end IP address of the firewall rule. Must be IPv6 format. Must be greater than or equal to startIpv6Address.

properties.startIPv6Address

string

The start IP address of the firewall rule. Must be IPv6 format.

type

string

Resource type.